/* Example program (compile with "htmlpp FIELD.XH /rexx") */

/*--- Initialization --------------------------------------------------------*/
call RxFuncAdd  'SysSleep',  'RexxUtil', 'SysSleep';
call RxFuncAdd  'SysCurPos', 'RexxUtil', 'SysCurPos';
#include "Field.XH"

/*--- Output template for number of threads ---------------------------------*/
call InitializeThreadInfo 6;

/*--- I Know (in my sample program) that I'm past the last field ------------*/
parse value SysCurPos() with EndRow EndCol;

/*--- Output Waiting Message ------------------------------------------------*/
do ThreadIndex = 1 to 6
   call SysSleep 1;
   call FieldDisplay ThreadIndex, "Text for Field " || ThreadIndex;
end;

/*--- Output message which is centered --------------------------------------*/
call SysSleep 1; call FieldDisplay 2, "Centered Text for Field 2",        'C';
call SysSleep 1; call FieldDisplay 5, "Right Justified Text for Field 5", 'R';

/*--- Move past end so OS/2 prompt will not override ------------------------*/
Dummy = SysCurPos(EndRow, EndCol);
exit(255);




/*===========================================================================*/
InitializeThreadInfo:
/*===========================================================================*/
   /*--- Save current Position ----------------------------------------------*/
   NumThreads = arg(1);

   /*--- Output Template and threads ----------------------------------------*/
   call FieldInitialize;
   do  ThreadIndex = 1 to NumThreads
       /*--- Output the thread header text ----------------------------------*/
       ThreadMsg = 'Thread #' || ThreadIndex || '  ';
       call charout ,ThreadMsg;

       /*--- Add the field --------------------------------------------------*/
       LengthThreadHeader = length(ThreadMsg);
       call FieldAdd Left("Waiting...", 79-LengthThreadHeader);
       say ''
   end;
   return;









